fix leak, enhance error values
[ltt-control.git] / trunk / lttng-xenomai / ltt-control-0.24-xenoltt / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 setopt NO_GLOB_SUBST
23 else
24 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
25 fi
26 BIN_SH=xpg4; export BIN_SH # for Tru64
27 DUALCASE=1; export DUALCASE # for MKS sh
28
29
30 # PATH needs CR
31 # Avoid depending upon Character Ranges.
32 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
33 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
34 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
35 as_cr_digits='0123456789'
36 as_cr_alnum=$as_cr_Letters$as_cr_digits
37
38 # The user is always right.
39 if test "${PATH_SEPARATOR+set}" != set; then
40 echo "#! /bin/sh" >conf$$.sh
41 echo "exit 0" >>conf$$.sh
42 chmod +x conf$$.sh
43 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
44 PATH_SEPARATOR=';'
45 else
46 PATH_SEPARATOR=:
47 fi
48 rm -f conf$$.sh
49 fi
50
51 # Support unset when possible.
52 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
53 as_unset=unset
54 else
55 as_unset=false
56 fi
57
58
59 # IFS
60 # We need space, tab and new line, in precisely that order. Quoting is
61 # there to prevent editors from complaining about space-tab.
62 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
63 # splitting by setting IFS to empty value.)
64 as_nl='
65 '
66 IFS=" "" $as_nl"
67
68 # Find who we are. Look in the path if we contain no directory separator.
69 case $0 in
70 *[\\/]* ) as_myself=$0 ;;
71 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
72 for as_dir in $PATH
73 do
74 IFS=$as_save_IFS
75 test -z "$as_dir" && as_dir=.
76 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
77 done
78 IFS=$as_save_IFS
79
80 ;;
81 esac
82 # We did not find ourselves, most probably we were run as `sh COMMAND'
83 # in which case we are not to be found in the path.
84 if test "x$as_myself" = x; then
85 as_myself=$0
86 fi
87 if test ! -f "$as_myself"; then
88 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
89 { (exit 1); exit 1; }
90 fi
91
92 # Work around bugs in pre-3.0 UWIN ksh.
93 for as_var in ENV MAIL MAILPATH
94 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
95 done
96 PS1='$ '
97 PS2='> '
98 PS4='+ '
99
100 # NLS nuisances.
101 for as_var in \
102 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
103 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
104 LC_TELEPHONE LC_TIME
105 do
106 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
107 eval $as_var=C; export $as_var
108 else
109 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
110 fi
111 done
112
113 # Required to use basename.
114 if expr a : '\(a\)' >/dev/null 2>&1 &&
115 test "X`expr 00001 : '.*\(...\)'`" = X001; then
116 as_expr=expr
117 else
118 as_expr=false
119 fi
120
121 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
122 as_basename=basename
123 else
124 as_basename=false
125 fi
126
127
128 # Name of the executable.
129 as_me=`$as_basename -- "$0" ||
130 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
131 X"$0" : 'X\(//\)$' \| \
132 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
133 echo X/"$0" |
134 sed '/^.*\/\([^/][^/]*\)\/*$/{
135 s//\1/
136 q
137 }
138 /^X\/\(\/\/\)$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\).*/{
143 s//\1/
144 q
145 }
146 s/.*/./; q'`
147
148 # CDPATH.
149 $as_unset CDPATH
150
151
152
153 as_lineno_1=$LINENO
154 as_lineno_2=$LINENO
155 test "x$as_lineno_1" != "x$as_lineno_2" &&
156 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
157
158 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
159 # uniformly replaced by the line number. The first 'sed' inserts a
160 # line-number line after each line using $LINENO; the second 'sed'
161 # does the real work. The second script uses 'N' to pair each
162 # line-number line with the line containing $LINENO, and appends
163 # trailing '-' during substitution so that $LINENO is not a special
164 # case at line end.
165 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166 # scripts with optimization help from Paolo Bonzini. Blame Lee
167 # E. McMahon (1931-1989) for sed's syntax. :-)
168 sed -n '
169 p
170 /[$]LINENO/=
171 ' <$as_myself |
172 sed '
173 s/[$]LINENO.*/&-/
174 t lineno
175 b
176 :lineno
177 N
178 :loop
179 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
180 t loop
181 s/-\n.*//
182 ' >$as_me.lineno &&
183 chmod +x "$as_me.lineno" ||
184 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
185 { (exit 1); exit 1; }; }
186
187 # Don't try to exec as it changes $[0], causing all sort of problems
188 # (the dirname of $[0] is not the place where we might find the
189 # original and so on. Autoconf is especially sensitive to this).
190 . "./$as_me.lineno"
191 # Exit status is that of the last command.
192 exit
193 }
194
195
196 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
197 as_dirname=dirname
198 else
199 as_dirname=false
200 fi
201
202 ECHO_C= ECHO_N= ECHO_T=
203 case `echo -n x` in
204 -n*)
205 case `echo 'x\c'` in
206 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
207 *) ECHO_C='\c';;
208 esac;;
209 *)
210 ECHO_N='-n';;
211 esac
212
213 if expr a : '\(a\)' >/dev/null 2>&1 &&
214 test "X`expr 00001 : '.*\(...\)'`" = X001; then
215 as_expr=expr
216 else
217 as_expr=false
218 fi
219
220 rm -f conf$$ conf$$.exe conf$$.file
221 if test -d conf$$.dir; then
222 rm -f conf$$.dir/conf$$.file
223 else
224 rm -f conf$$.dir
225 mkdir conf$$.dir
226 fi
227 echo >conf$$.file
228 if ln -s conf$$.file conf$$ 2>/dev/null; then
229 as_ln_s='ln -s'
230 # ... but there are two gotchas:
231 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
232 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
233 # In both cases, we have to default to `cp -p'.
234 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
235 as_ln_s='cp -p'
236 elif ln conf$$.file conf$$ 2>/dev/null; then
237 as_ln_s=ln
238 else
239 as_ln_s='cp -p'
240 fi
241 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
242 rmdir conf$$.dir 2>/dev/null
243
244 if mkdir -p . 2>/dev/null; then
245 as_mkdir_p=:
246 else
247 test -d ./-p && rmdir ./-p
248 as_mkdir_p=false
249 fi
250
251 # Find out whether ``test -x'' works. Don't use a zero-byte file, as
252 # systems may use methods other than mode bits to determine executability.
253 cat >conf$$.file <<_ASEOF
254 #! /bin/sh
255 exit 0
256 _ASEOF
257 chmod +x conf$$.file
258 if test -x conf$$.file >/dev/null 2>&1; then
259 as_executable_p="test -x"
260 else
261 as_executable_p=:
262 fi
263 rm -f conf$$.file
264
265 # Sed expression to map a string onto a valid CPP name.
266 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
267
268 # Sed expression to map a string onto a valid variable name.
269 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
270
271
272 exec 6>&1
273
274 # Save the log message, to keep $[0] and so on meaningful, and to
275 # report actual input values of CONFIG_FILES etc. instead of their
276 # values after options handling.
277 ac_log="
278 This file was extended by FULL-PACKAGE-NAME $as_me VERSION, which was
279 generated by GNU Autoconf 2.60. Invocation command line was
280
281 CONFIG_FILES = $CONFIG_FILES
282 CONFIG_HEADERS = $CONFIG_HEADERS
283 CONFIG_LINKS = $CONFIG_LINKS
284 CONFIG_COMMANDS = $CONFIG_COMMANDS
285 $ $0 $@
286
287 on `(hostname || uname -n) 2>/dev/null | sed 1q`
288 "
289
290 # Files that config.status was made for.
291 config_files=" Makefile liblttctl/Makefile lttctl/Makefile lttd/Makefile facilities/Makefile"
292 config_headers=" config.h"
293 config_commands=" depfiles"
294
295 ac_cs_usage="\
296 \`$as_me' instantiates files from templates according to the
297 current configuration.
298
299 Usage: $0 [OPTIONS] [FILE]...
300
301 -h, --help print this help, then exit
302 -V, --version print version number, then exit
303 -q, --quiet do not print progress messages
304 -d, --debug don't remove temporary files
305 --recheck update $as_me by reconfiguring in the same conditions
306 --file=FILE[:TEMPLATE]
307 instantiate the configuration file FILE
308 --header=FILE[:TEMPLATE]
309 instantiate the configuration header FILE
310
311 Configuration files:
312 $config_files
313
314 Configuration headers:
315 $config_headers
316
317 Configuration commands:
318 $config_commands
319
320 Report bugs to <bug-autoconf@gnu.org>."
321
322 ac_cs_version="\
323 FULL-PACKAGE-NAME config.status VERSION
324 configured by ./configure, generated by GNU Autoconf 2.60,
325 with options \"\"
326
327 Copyright (C) 2006 Free Software Foundation, Inc.
328 This config.status script is free software; the Free Software Foundation
329 gives unlimited permission to copy, distribute and modify it."
330
331 ac_pwd='/usr/src/ltt-control-0.24-17092006'
332 srcdir='.'
333 INSTALL='/usr/bin/install -c'
334 # If no file are specified by the user, then we need to provide default
335 # value. By we need to know if files were specified by the user.
336 ac_need_defaults=:
337 while test $# != 0
338 do
339 case $1 in
340 --*=*)
341 ac_option=`expr "X$1" : 'X\([^=]*\)='`
342 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
343 ac_shift=:
344 ;;
345 *)
346 ac_option=$1
347 ac_optarg=$2
348 ac_shift=shift
349 ;;
350 esac
351
352 case $ac_option in
353 # Handling of the options.
354 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
355 ac_cs_recheck=: ;;
356 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
357 echo "$ac_cs_version"; exit ;;
358 --debug | --debu | --deb | --de | --d | -d )
359 debug=: ;;
360 --file | --fil | --fi | --f )
361 $ac_shift
362 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
363 ac_need_defaults=false;;
364 --header | --heade | --head | --hea )
365 $ac_shift
366 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
367 ac_need_defaults=false;;
368 --he | --h)
369 # Conflict between --help and --header
370 { echo "$as_me: error: ambiguous option: $1
371 Try \`$0 --help' for more information." >&2
372 { (exit 1); exit 1; }; };;
373 --help | --hel | -h )
374 echo "$ac_cs_usage"; exit ;;
375 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
376 | -silent | --silent | --silen | --sile | --sil | --si | --s)
377 ac_cs_silent=: ;;
378
379 # This is an error.
380 -*) { echo "$as_me: error: unrecognized option: $1
381 Try \`$0 --help' for more information." >&2
382 { (exit 1); exit 1; }; } ;;
383
384 *) ac_config_targets="$ac_config_targets $1"
385 ac_need_defaults=false ;;
386
387 esac
388 shift
389 done
390
391 ac_configure_extra_args=
392
393 if $ac_cs_silent; then
394 exec 6>/dev/null
395 ac_configure_extra_args="$ac_configure_extra_args --silent"
396 fi
397
398 if $ac_cs_recheck; then
399 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
400 CONFIG_SHELL=/bin/sh
401 export CONFIG_SHELL
402 exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
403 fi
404
405 exec 5>>config.log
406 {
407 echo
408 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
409 ## Running $as_me. ##
410 _ASBOX
411 echo "$ac_log"
412 } >&5
413
414 #
415 # INIT-COMMANDS
416 #
417 AMDEP_TRUE="" ac_aux_dir="."
418
419
420 # Handling of arguments.
421 for ac_config_target in $ac_config_targets
422 do
423 case $ac_config_target in
424 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
425 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
426 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
427 "liblttctl/Makefile") CONFIG_FILES="$CONFIG_FILES liblttctl/Makefile" ;;
428 "lttctl/Makefile") CONFIG_FILES="$CONFIG_FILES lttctl/Makefile" ;;
429 "lttd/Makefile") CONFIG_FILES="$CONFIG_FILES lttd/Makefile" ;;
430 "facilities/Makefile") CONFIG_FILES="$CONFIG_FILES facilities/Makefile" ;;
431
432 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
433 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
434 { (exit 1); exit 1; }; };;
435 esac
436 done
437
438
439 # If the user did not use the arguments to specify the items to instantiate,
440 # then the envvar interface is used. Set only those that are not.
441 # We use the long form for the default assignment because of an extremely
442 # bizarre bug on SunOS 4.1.3.
443 if $ac_need_defaults; then
444 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
445 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
446 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
447 fi
448
449 # Have a temporary directory for convenience. Make it in the build tree
450 # simply because there is no reason against having it here, and in addition,
451 # creating and moving files from /tmp can sometimes cause problems.
452 # Hook for its removal unless debugging.
453 # Note that there is a small window in which the directory will not be cleaned:
454 # after its creation but before its name has been assigned to `$tmp'.
455 $debug ||
456 {
457 tmp=
458 trap 'exit_status=$?
459 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
460 ' 0
461 trap '{ (exit 1); exit 1; }' 1 2 13 15
462 }
463 # Create a (secure) tmp directory for tmp files.
464
465 {
466 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
467 test -n "$tmp" && test -d "$tmp"
468 } ||
469 {
470 tmp=./conf$$-$RANDOM
471 (umask 077 && mkdir "$tmp")
472 } ||
473 {
474 echo "$me: cannot create a temporary directory in ." >&2
475 { (exit 1); exit 1; }
476 }
477
478 #
479 # Set up the sed scripts for CONFIG_FILES section.
480 #
481
482 # No need to generate the scripts if there are no CONFIG_FILES.
483 # This happens for instance when ./config.status config.h
484 if test -n "$CONFIG_FILES"; then
485
486 cat >"$tmp/subs-1.sed" <<\CEOF
487 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
488 s,@SHELL@,|#_!!_#|/bin/sh,g
489 s,@PATH_SEPARATOR@,|#_!!_#|:,g
490 s,@PACKAGE_NAME@,|#_!!_#|FULL-PACKAGE-NAME,g
491 s,@PACKAGE_TARNAME@,|#_!!_#|full-package-name,g
492 s,@PACKAGE_VERSION@,|#_!!_#|VERSION,g
493 s,@PACKAGE_STRING@,|#_!!_#|FULL-PACKAGE-NAME VERSION,g
494 s,@PACKAGE_BUGREPORT@,|#_!!_#|BUG-REPORT-ADDRESS,g
495 s,@exec_prefix@,|#_!!_#|${prefix},g
496 s,@prefix@,|#_!!_#|/usr/local,g
497 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
498 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
499 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
500 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
501 s,@datarootdir@,|#_!!_#|${prefix}/share,g
502 s,@datadir@,|#_!!_#|${datarootdir},g
503 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
504 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
505 s,@localstatedir@,|#_!!_#|${prefix}/var,g
506 s,@includedir@,|#_!!_#|${prefix}/include,g
507 s,@oldincludedir@,|#_!!_#|/usr/include,g
508 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
509 s,@infodir@,|#_!!_#|${datarootdir}/info,g
510 s,@htmldir@,|#_!!_#|${docdir},g
511 s,@dvidir@,|#_!!_#|${docdir},g
512 s,@pdfdir@,|#_!!_#|${docdir},g
513 s,@psdir@,|#_!!_#|${docdir},g
514 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
515 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
516 s,@mandir@,|#_!!_#|${datarootdir}/man,g
517 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
518 s,@ECHO_C@,|#_!!_#|,g
519 s,@ECHO_N@,|#_!!_#|-n,g
520 s,@ECHO_T@,|#_!!_#|,g
521 s,@LIBS@,|#_!!_#|,g
522 s,@build_alias@,|#_!!_#|,g
523 s,@host_alias@,|#_!!_#|,g
524 s,@target_alias@,|#_!!_#|,g
525 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
526 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
527 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
528 s,@CYGPATH_W@,|#_!!_#|echo,g
529 s,@PACKAGE@,|#_!!_#|ltt-control,g
530 s,@VERSION@,|#_!!_#|0.24-17092006,g
531 s,@ACLOCAL@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run aclocal-1.7,g
532 s,@AUTOCONF@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run autoconf,g
533 s,@AUTOMAKE@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run automake-1.7,g
534 s,@AUTOHEADER@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run autoheader,g
535 s,@MAKEINFO@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run makeinfo,g
536 s,@AMTAR@,|#_!!_#|${SHELL} /usr/src/ltt-control-0.24-17092006/missing --run tar,g
537 s,@install_sh@,|#_!!_#|/usr/src/ltt-control-0.24-17092006/install-sh,g
538 s,@STRIP@,|#_!!_#|strip,g
539 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
540 s,@AWK@,|#_!!_#|mawk,g
541 s,@SET_MAKE@,|#_!!_#|,g
542 s,@am__leading_dot@,|#_!!_#|.,g
543 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
544 s,@build_cpu@,|#_!!_#|i686,g
545 s,@build_vendor@,|#_!!_#|pc,g
546 s,@build_os@,|#_!!_#|linux-gnu,g
547 s,@host@,|#_!!_#|i686-pc-linux-gnu,g
548 s,@host_cpu@,|#_!!_#|i686,g
549 s,@host_vendor@,|#_!!_#|pc,g
550 s,@host_os@,|#_!!_#|linux-gnu,g
551 s,@CC@,|#_!!_#|gcc,g
552 s,@CFLAGS@,|#_!!_#|-g -O2,g
553 s,@LDFLAGS@,|#_!!_#|,g
554 s,@CPPFLAGS@,|#_!!_#|,g
555 s,@ac_ct_CC@,|#_!!_#|gcc,g
556 s,@EXEEXT@,|#_!!_#|,g
557 s,@OBJEXT@,|#_!!_#|o,g
558 s,@DEPDIR@,|#_!!_#|.deps,g
559 s,@am__include@,|#_!!_#|include,g
560 s,@am__quote@,|#_!!_#|,g
561 s,@AMDEP_TRUE@,|#_!!_#|,g
562 s,@AMDEP_FALSE@,|#_!!_#|#,g
563 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
564 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
565 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
566 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
567 s,@GREP@,|#_!!_#|/bin/grep,g
568 s,@EGREP@,|#_!!_#|/bin/grep -E,g
569 s,@LN_S@,|#_!!_#|ln -s,g
570 s,@ECHO@,|#_!!_#|echo,g
571 s,@AR@,|#_!!_#|ar,g
572 s,@RANLIB@,|#_!!_#|ranlib,g
573 s,@CPP@,|#_!!_#|gcc -E,g
574 s,@CXX@,|#_!!_#|g++,g
575 s,@CXXFLAGS@,|#_!!_#|-g -O2,g
576 s,@ac_ct_CXX@,|#_!!_#|g++,g
577 s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
578 s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
579 s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
580 s,@CXXCPP@,|#_!!_#|g++ -E,g
581 s,@F77@,|#_!!_#|,g
582 s,@FFLAGS@,|#_!!_#|,g
583 s,@ac_ct_F77@,|#_!!_#|,g
584 s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
585 CEOF
586 cat >"$tmp/subs-2.sed" <<\CEOF
587 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
588 s,@BASH@,|#_!!_#|/bin/sh,g
589 s,@PACKAGE_CFLAGS@,|#_!!_#|-Wall -Wformat,g
590 s,@PACKAGE_LIBS@,|#_!!_#|,g
591 s,@LIBOBJS@,|#_!!_#|,g
592 s,@lttctlincludedir@,|#_!!_#|${prefix}/include/liblttctl,g
593 s,@UTIL_LIBS@,|#_!!_#|-lutil,g
594 s,@THREAD_LIBS@,|#_!!_#|-lpthread,g
595 s,@DEFAULT_INCLUDES@,|#_!!_#|-I$(top_srcdir) -I$(top_builddir),g
596 s,@LTLIBOBJS@,|#_!!_#|,g
597 :end
598 s/|#_!!_#|//g
599 CEOF
600 fi # test -n "$CONFIG_FILES"
601
602
603 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
604 do
605 case $ac_tag in
606 :[FHLC]) ac_mode=$ac_tag; continue;;
607 esac
608 case $ac_mode$ac_tag in
609 :[FHL]*:*);;
610 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
611 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
612 { (exit 1); exit 1; }; };;
613 :[FH]-) ac_tag=-:-;;
614 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
615 esac
616 ac_save_IFS=$IFS
617 IFS=:
618 set x $ac_tag
619 IFS=$ac_save_IFS
620 shift
621 ac_file=$1
622 shift
623
624 case $ac_mode in
625 :L) ac_source=$1;;
626 :[FH])
627 ac_file_inputs=
628 for ac_f
629 do
630 case $ac_f in
631 -) ac_f="$tmp/stdin";;
632 *) # Look for the file first in the build tree, then in the source tree
633 # (if the path is not absolute). The absolute path cannot be DOS-style,
634 # because $ac_f cannot contain `:'.
635 test -f "$ac_f" ||
636 case $ac_f in
637 [\\/$]*) false;;
638 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
639 esac ||
640 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
641 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
642 { (exit 1); exit 1; }; };;
643 esac
644 ac_file_inputs="$ac_file_inputs $ac_f"
645 done
646
647 # Let's still pretend it is `configure' which instantiates (i.e., don't
648 # use $as_me), people would be surprised to read:
649 # /* config.h. Generated by config.status. */
650 configure_input="Generated from "`IFS=:
651 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
652 if test x"$ac_file" != x-; then
653 configure_input="$ac_file. $configure_input"
654 { echo "$as_me:$LINENO: creating $ac_file" >&5
655 echo "$as_me: creating $ac_file" >&6;}
656 fi
657
658 case $ac_tag in
659 *:-:* | *:-) cat >"$tmp/stdin";;
660 esac
661 ;;
662 esac
663
664 ac_dir=`$as_dirname -- "$ac_file" ||
665 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
666 X"$ac_file" : 'X\(//\)[^/]' \| \
667 X"$ac_file" : 'X\(//\)$' \| \
668 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
669 echo X"$ac_file" |
670 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
671 s//\1/
672 q
673 }
674 /^X\(\/\/\)[^/].*/{
675 s//\1/
676 q
677 }
678 /^X\(\/\/\)$/{
679 s//\1/
680 q
681 }
682 /^X\(\/\).*/{
683 s//\1/
684 q
685 }
686 s/.*/./; q'`
687 { as_dir="$ac_dir"
688 case $as_dir in #(
689 -*) as_dir=./$as_dir;;
690 esac
691 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
692 as_dirs=
693 while :; do
694 case $as_dir in #(
695 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
696 *) as_qdir=$as_dir;;
697 esac
698 as_dirs="'$as_qdir' $as_dirs"
699 as_dir=`$as_dirname -- "$as_dir" ||
700 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
701 X"$as_dir" : 'X\(//\)[^/]' \| \
702 X"$as_dir" : 'X\(//\)$' \| \
703 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
704 echo X"$as_dir" |
705 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
706 s//\1/
707 q
708 }
709 /^X\(\/\/\)[^/].*/{
710 s//\1/
711 q
712 }
713 /^X\(\/\/\)$/{
714 s//\1/
715 q
716 }
717 /^X\(\/\).*/{
718 s//\1/
719 q
720 }
721 s/.*/./; q'`
722 test -d "$as_dir" && break
723 done
724 test -z "$as_dirs" || eval "mkdir $as_dirs"
725 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
726 echo "$as_me: error: cannot create directory $as_dir" >&2;}
727 { (exit 1); exit 1; }; }; }
728 ac_builddir=.
729
730 case "$ac_dir" in
731 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
732 *)
733 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
734 # A ".." for each directory in $ac_dir_suffix.
735 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
736 case $ac_top_builddir_sub in
737 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
738 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
739 esac ;;
740 esac
741 ac_abs_top_builddir=$ac_pwd
742 ac_abs_builddir=$ac_pwd$ac_dir_suffix
743 # for backward compatibility:
744 ac_top_builddir=$ac_top_build_prefix
745
746 case $srcdir in
747 .) # We are building in place.
748 ac_srcdir=.
749 ac_top_srcdir=$ac_top_builddir_sub
750 ac_abs_top_srcdir=$ac_pwd ;;
751 [\\/]* | ?:[\\/]* ) # Absolute name.
752 ac_srcdir=$srcdir$ac_dir_suffix;
753 ac_top_srcdir=$srcdir
754 ac_abs_top_srcdir=$srcdir ;;
755 *) # Relative name.
756 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
757 ac_top_srcdir=$ac_top_build_prefix$srcdir
758 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
759 esac
760 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
761
762
763 case $ac_mode in
764 :F)
765 #
766 # CONFIG_FILE
767 #
768
769 case $INSTALL in
770 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
771 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
772 esac
773 # If the template does not know about datarootdir, expand it.
774 # FIXME: This hack should be removed a few years after 2.60.
775 ac_datarootdir_hack=; ac_datarootdir_seen=
776
777 case `sed -n '/datarootdir/ {
778 p
779 q
780 }
781 /@datadir@/p
782 /@docdir@/p
783 /@infodir@/p
784 /@localedir@/p
785 /@mandir@/p
786 ' $ac_file_inputs` in
787 *datarootdir*) ac_datarootdir_seen=yes;;
788 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
789 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
790 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
791 ac_datarootdir_hack='
792 s&@datadir@&${datarootdir}&g
793 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
794 s&@infodir@&${datarootdir}/info&g
795 s&@localedir@&${datarootdir}/locale&g
796 s&@mandir@&${datarootdir}/man&g
797 s&\${datarootdir}&${prefix}/share&g' ;;
798 esac
799 sed "/^[ ]*VPATH[ ]*=/{
800 s/:*\$(srcdir):*/:/
801 s/:*\${srcdir}:*/:/
802 s/:*@srcdir@:*/:/
803 s/^\([^=]*=[ ]*\):*/\1/
804 s/:*$//
805 s/^[^=]*=[ ]*$//
806 }
807
808 :t
809 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
810 s&@configure_input@&$configure_input&;t t
811 s&@top_builddir@&$ac_top_builddir_sub&;t t
812 s&@srcdir@&$ac_srcdir&;t t
813 s&@abs_srcdir@&$ac_abs_srcdir&;t t
814 s&@top_srcdir@&$ac_top_srcdir&;t t
815 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
816 s&@builddir@&$ac_builddir&;t t
817 s&@abs_builddir@&$ac_abs_builddir&;t t
818 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
819 s&@INSTALL@&$ac_INSTALL&;t t
820 $ac_datarootdir_hack
821 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
822
823 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
824 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
825 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
826 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
827 which seems to be undefined. Please make sure it is defined." >&5
828 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
829 which seems to be undefined. Please make sure it is defined." >&2;}
830
831 rm -f "$tmp/stdin"
832 case $ac_file in
833 -) cat "$tmp/out"; rm -f "$tmp/out";;
834 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
835 esac
836 ;;
837 :H)
838 #
839 # CONFIG_HEADER
840 #
841 # First, check the format of the line:
842 cat >"$tmp/defines.sed" <<\CEOF
843 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
844 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
845 b
846 :def
847 s/$/ /
848 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "FULL-PACKAGE-NAME" ,
849 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "full-package-name" ,
850 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "VERSION" ,
851 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "FULL-PACKAGE-NAME VERSION" ,
852 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "BUG-REPORT-ADDRESS" ,
853 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "ltt-control" ,
854 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.24-17092006" ,
855 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
856 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
857 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
858 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
859 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
860 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
861 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
862 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
863 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
864 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
865 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
866 s,^\([ #]*\)[^ ]*\([ ]*_FILE_OFFSET_BITS\)[ (].*,\1define\2 64 ,
867 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
868 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
869 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
870 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
871 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
872 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
873 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTHREAD_H\)[ (].*,\1define\2 1 ,
874 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
875 s,^\([ #]*\)[^ ]*\([ ]*HAVE__BOOL\)[ (].*,\1define\2 1 ,
876 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDBOOL_H\)[ (].*,\1define\2 1 ,
877 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
878 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SELECT_H\)[ (].*,\1define\2 1 ,
879 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SOCKET_H\)[ (].*,\1define\2 1 ,
880 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG1\)[ (].*,\1define\2 int ,
881 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG234\)[ (].*,\1define\2 (fd_set *) ,
882 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG5\)[ (].*,\1define\2 (struct timeval *) ,
883 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
884 s/ $//
885 s,^[ #]*u.*,/* & */,
886 CEOF
887 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
888 ac_result="$tmp/out1"
889 if test x"$ac_file" != x-; then
890 echo "/* $configure_input */" >"$tmp/config.h"
891 cat "$ac_result" >>"$tmp/config.h"
892 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
893 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
894 echo "$as_me: $ac_file is unchanged" >&6;}
895 else
896 rm -f $ac_file
897 mv "$tmp/config.h" $ac_file
898 fi
899 else
900 echo "/* $configure_input */"
901 cat "$ac_result"
902 fi
903 rm -f "$tmp/out12"
904 # Compute $ac_file's index in $config_headers.
905 _am_stamp_count=1
906 for _am_header in $config_headers :; do
907 case $_am_header in
908 $ac_file | $ac_file:* )
909 break ;;
910 * )
911 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
912 esac
913 done
914 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
915 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
916 X$ac_file : 'X\(//\)[^/]' \| \
917 X$ac_file : 'X\(//\)$' \| \
918 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
919 echo X$ac_file |
920 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
921 s//\1/
922 q
923 }
924 /^X\(\/\/\)[^/].*/{
925 s//\1/
926 q
927 }
928 /^X\(\/\/\)$/{
929 s//\1/
930 q
931 }
932 /^X\(\/\).*/{
933 s//\1/
934 q
935 }
936 s/.*/./; q'`/stamp-h$_am_stamp_count
937 ;;
938
939 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
940 echo "$as_me: executing $ac_file commands" >&6;}
941 ;;
942 esac
943
944
945 case $ac_file$ac_mode in
946 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
947 # Strip MF so we end up with the name of the file.
948 mf=`echo "$mf" | sed -e 's/:.*$//'`
949 # Check whether this is an Automake generated Makefile or not.
950 # We used to match only the files named `Makefile.in', but
951 # some people rename them; so instead we look at the file content.
952 # Grep'ing the first line is not enough: some people post-process
953 # each Makefile.in and add a new line on top of each file to say so.
954 # So let's grep whole file.
955 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
956 dirpart=`$as_dirname -- "$mf" ||
957 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
958 X"$mf" : 'X\(//\)[^/]' \| \
959 X"$mf" : 'X\(//\)$' \| \
960 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
961 echo X"$mf" |
962 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
963 s//\1/
964 q
965 }
966 /^X\(\/\/\)[^/].*/{
967 s//\1/
968 q
969 }
970 /^X\(\/\/\)$/{
971 s//\1/
972 q
973 }
974 /^X\(\/\).*/{
975 s//\1/
976 q
977 }
978 s/.*/./; q'`
979 else
980 continue
981 fi
982 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
983 # Extract the definition of DEP_FILES from the Makefile without
984 # running `make'.
985 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
986 test -z "$DEPDIR" && continue
987 # When using ansi2knr, U may be empty or an underscore; expand it
988 U=`sed -n -e '/^U = / s///p' < "$mf"`
989 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
990 # We invoke sed twice because it is the simplest approach to
991 # changing $(DEPDIR) to its actual value in the expansion.
992 for file in `sed -n -e '
993 /^DEP_FILES = .*\\\\$/ {
994 s/^DEP_FILES = //
995 :loop
996 s/\\\\$//
997 p
998 n
999 /\\\\$/ b loop
1000 p
1001 }
1002 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1003 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1004 # Make sure the directory exists.
1005 test -f "$dirpart/$file" && continue
1006 fdir=`$as_dirname -- "$file" ||
1007 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1008 X"$file" : 'X\(//\)[^/]' \| \
1009 X"$file" : 'X\(//\)$' \| \
1010 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1011 echo X"$file" |
1012 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1013 s//\1/
1014 q
1015 }
1016 /^X\(\/\/\)[^/].*/{
1017 s//\1/
1018 q
1019 }
1020 /^X\(\/\/\)$/{
1021 s//\1/
1022 q
1023 }
1024 /^X\(\/\).*/{
1025 s//\1/
1026 q
1027 }
1028 s/.*/./; q'`
1029 { as_dir=$dirpart/$fdir
1030 case $as_dir in #(
1031 -*) as_dir=./$as_dir;;
1032 esac
1033 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1034 as_dirs=
1035 while :; do
1036 case $as_dir in #(
1037 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1038 *) as_qdir=$as_dir;;
1039 esac
1040 as_dirs="'$as_qdir' $as_dirs"
1041 as_dir=`$as_dirname -- "$as_dir" ||
1042 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1043 X"$as_dir" : 'X\(//\)[^/]' \| \
1044 X"$as_dir" : 'X\(//\)$' \| \
1045 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1046 echo X"$as_dir" |
1047 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1048 s//\1/
1049 q
1050 }
1051 /^X\(\/\/\)[^/].*/{
1052 s//\1/
1053 q
1054 }
1055 /^X\(\/\/\)$/{
1056 s//\1/
1057 q
1058 }
1059 /^X\(\/\).*/{
1060 s//\1/
1061 q
1062 }
1063 s/.*/./; q'`
1064 test -d "$as_dir" && break
1065 done
1066 test -z "$as_dirs" || eval "mkdir $as_dirs"
1067 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1068 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1069 { (exit 1); exit 1; }; }; }
1070 # echo "creating $dirpart/$file"
1071 echo '# dummy' > "$dirpart/$file"
1072 done
1073 done
1074 ;;
1075
1076 esac
1077 done # for ac_tag
1078
1079
1080 { (exit 0); exit 0; }
This page took 0.093958 seconds and 4 git commands to generate.